export default {
    upload: '/common/upload', // 上传图片
    typeList: '/common/type/list', // 获取身份类型
    baseInfo: '/admin/config/get', // 基础配置
    setConfig: '/admin/config/set', // 基础配置
    picbase64: '/common/picbase64', // 获取图片base64
    getArea: '/common/address/area', // 获取省、市、区

    // 登录
    manageLogin: '/admin/sign/in', // 登录
    managerLogout: '/admin/sign/out',
    getCaptchaImg: '/common/captcha', // 获取登录图片验证码

    // 账号管理
    managerList: '/admin/admin/user/list', // 管理员列表
    addManager: '/admin/admin/user/add', // 添加管理员
    editManager: '/admin/admin/user/modify', // 修改管理员信息
    editPassword: '/admin/admin/user/password', // 修改管理员密码
    editManagerStatus: '/admin/admin/user/status', // 管理员状态更改

    // 权限管理
    powerGroupList: '/admin/admin/group/list', // 权限组列表
    deletePowerGroup: '/admin/admin/group/delete', // 删除权限组
    powerList: '/admin/admin/acl/list', // 所有权限列表
    choiceGroupPower: '/admin/admin/group/acls', // 权限组所属权限列表
    editGroupPower: '/admin/admin/group/acl', // 权限组权限修改
    powerGroupMember: '/admin/admin/group/users', // 权限组成员列表
    choiceManagerGroup: '/admin/admin/user/groups', // 管理员所属组列表
    editManagerGroup: '/admin/admin/user/group', // 管理员所属组修改列表

    // 菜单维护
    menuList: '/admin/admin/menu/acl', // 菜单列表
    addMenu: '/admin/admin/menu/add', // 菜单添加
    editMenu: '/admin/admin/menu/modify', // 菜单编辑
    deleteMenu: '/admin/admin/menu/delete', // 菜单删除
    managerMenu: '/admin/admin/menu/acl', // 有权限的菜单列表(根据登录的管理员获取的菜单列表)

    // 用户
    getUserList: '/admin/user/list', // 用户列表
    userDetail: '/admin/user/info', // 用户详情
    getPopularizeList: '/admin/user/generalize/list', // 推广用户列表

    getAgentList: '/admin/user/role/list', // 代理商管理列表
    openAgent: '/admin/user/role/open', // 开通代理商
    agentRecord: '/admin/user/role/log/list', // 代理商开通记录列表
    closeAgent: '/admin/user/role/close', // 关闭代理商

    // 商品管理
    getGoodsList: '/admin/goods/list', // 商品列表
    goodsDetail: '/admin/goods/info', // 商品详情
    createGoods: '/admin/goods/add', // 创建商品
    editGoods: '/admin/goods/edit', // 编辑商品
    deleteGoods: '/admin/goods/delete', // 编辑商品
    updateGoodsStatus: '/admin/goods/set/status', // 修改商品状态

    getGoodsCategoryList: '/admin/goods/groupings/list', // 获取商品分区列表
    addGoodsCategory: '/admin/goods/groupings/add', // 添加商品分区
    updateGoodsCategory: '/admin/goods/groupings/edit', // 修改商品分区
    deleteGoodsCategory: '/admin/goods/groupings/delete', // 删除商品分区
    updateGoodsTwig: '/admin/goods/set/twig', // 修改商品排序

    getPriceInfo: '/admin/range/get/price',
    setPriceInfo: '/admin/range/set/price',
    getShowInfo: '/admin/range/get/visibility',
    setShowInfo: '/admin/range/set/visibility',

    getFreightList: '/admin/freight/list', // 运费模板列表
    getFreightInfo: '/admin/freight/info', // 运费模板详情
    addFreight: '/admin/freight/add', // 创建运费模板
    updateFreight: '/admin/freight/update', // 编辑运费模板

    // 店铺装修
    getBannerList: '/admin/setup/banner/list', // 轮播图列表
    addBanner: '/admin/setup/banner/add', // 添加轮播图
    updateBanner: '/admin/setup/banner/update', // 编辑轮播图
    deleteBanner: '/admin/setup/banner/delete', // 删除轮播图

    // 分享设置
    getShareInfo: '/admin/setup/share/info', // 分享详情
    updateShare: '/admin/setup/share/update', // 修改分享

    // 图文设置
    getArticleList: '/admin/setup/teletext/list', // 图文设置列表
    updateArticle: '/admin/setup/teletext/update', // 图文设置更新
    articleInfo: '/admin/setup/teletext/info', // 图文设置详情

    // 资金相关===================================
    getWithdrawList: '/admin/withdraw/list', // 审核列表
    getWithdrawInfo: '/admin/withdraw/info', // 审核詳情
    getWithdrawAudit: '/admin/withdraw/audit', // 审核結果
    getQuotaList: '/admin/fund/quota/log/list', // 配额记录
    fundQuota: '/admin/fund/recharge/quota', // 配额充值
    getRebateList: '/admin/rebate/list', // 分润记录
    getFinancialCounting: '/admin/rebate/financial/sum', // 财务对账
    integralList: '/admin/fund/integral/log/list', // 财务对账
    batchList: '/admin/global/batch/list', // 全球分红批次列表
    poolList: '/admin/global/pool/list', // 全球分红奖池列表
    perList: '/admin/global/per/list', // 全球分红记录
    confirmRelease: '/admin/global/confirm/release', // 全球分红记录

    // 订单
    orderList: '/admin/order/list', // 订单列表
    orderDetail: '/admin/order/info', // 订单详情
    afterList: '/admin/after/sale/list', // 售后列表
    afterDetail: '/admin/after/sale/info', // 售后详情
    afterExamine: '/admin/after/sale/examine', // 订单审核
    importOrder: '/admin/order/delivery', // 订单导入

    getDataSum: '/admin/rebate/data/sum',

    getEexamineList: '/admin/draw/log/list', // 后台管理提现列表
    getEexamineInfo: '/admin/draw/log/info', // 后台管理提现详情
    rejectEexamine: '/admin/draw/log/refute', // 后台操作提现驳回
    resolveEexamine: '/admin/draw/log/pass', // 后台操作提现通过

    getGroupRebate: '/admin/rebate/group/sum/list',

    getDeliveryList: '/admin/order/lading/list',
    createDelivery: '/admin/order/lading/create',
    deleteDelivery: '/admin/order/lading/delete',


    
    getWxCategoryList: '/admin/goods/wx/channels/category/list',
    getWxCategoryInfo: '/admin/goods/wx/channels/category/info',
    syncProduct: '/admin/goods/wx/channels/sync/product',

    // getRebateList: '',

    addRebateTemplate: '/admin/rebate/template/create',
    updateRebateTemplate: '/admin/rebate/template/edit',
    deleteRebateTemplate: '/admin/rebate/template/delete',
    getRebateTemplateList: '/admin/rebate/template/list',


};
